Page MenuHomePhabricator

Consolidate mediawiki.notify module and Toast
Closed, ResolvedPublic

Description

mw.notify( 'foo' )
adds a notification message. It seems with a bit of work this code could serve the same purpose as the Toast.

Note 'mediawiki.notify' also runs with target mobile but is only loaded when needed. This means the code for two notification systems could be loaded.


Version: unspecified
Severity: normal

Details

Reference
bz64565

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:13 AM
bzimport set Reference to bz64565.

Change 205762 had a related patch set uploaded (by Jdlrobson):
Allow Minerva to style notification area

https://gerrit.wikimedia.org/r/205762

Change 205763 had a related patch set uploaded (by Jdlrobson):
Style mw.notify in the same way as toasts

https://gerrit.wikimedia.org/r/205763

Change 205762 merged by jenkins-bot:
mediawiki.notification: Allow skins to style notification area

https://gerrit.wikimedia.org/r/205762

Change 205763 merged by jenkins-bot:
Style mw.notify in the same way as toasts

https://gerrit.wikimedia.org/r/205763

phuedx added a subscriber: phuedx.Jun 2 2015, 3:28 PM

Can this be closed as resolved @Jdlrobson?

Jdlrobson closed this task as Resolved.Jun 18 2015, 10:23 PM

I guess so. mw.notify or toast can be used with same effect now. We might want to merge the codebases in future though.